import { Job } from "../../../common/dev/jobs/job.resource";
export declare function getOneJob(resourceId: string): Promise<import("../../../../../generated/npm-package").WithId>;
/** @internal */
export declare function createJob(job: Job): Promise<Job>;
export declare function getJobs(): Promise<any>;
export declare function deleteJob(jobId: string): Promise<unknown>;
